Bug 636801 - [RFE] nss-sysinit: setup-nsssysinit.sh should be able to report current status
Summary: [RFE] nss-sysinit: setup-nsssysinit.sh should be able to report current status
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nss
Version: 13
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Elio Maldonado Batiz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 643556
TreeView+ depends on / blocked
 
Reported: 2010-09-23 10:28 UTC by Tomas Hoger
Modified: 2010-11-05 04:45 UTC (History)
3 users (show)

Fixed In Version: nss-util-3.12.8-1.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 643556 (view as bug list)
Environment:
Last Closed: 2010-10-27 22:30:37 UTC


Attachments (Terms of Use)
Adds command line option to report on nss-sysinit current status (2.29 KB, patch)
2010-09-28 18:12 UTC, Elio Maldonado Batiz
no flags Details | Diff
Updated patch (1.96 KB, patch)
2010-09-29 10:13 UTC, Tomas Hoger
no flags Details | Diff

Description Tomas Hoger 2010-09-23 10:28:19 UTC
Description of problem:
setup-nsssysinit.sh should be able to report whether nss-sysinit is currently enabled or disabled.  It can recognize additional command line argument value - such as 'status' - and print info when that is provided.  Similar check is already done for 'off' action, so it may look as:

grep -q '^library=libnsssysinit' /etc/pki/nssdb/pkcs11.txt && echo 'ON' || echo 'OFF'

Version-Release number of selected component (if applicable):
nss-3.12.7-6.fc13

Comment 1 Elio Maldonado Batiz 2010-09-28 18:12:30 UTC
Created attachment 450266 [details]
Adds command line option to report on nss-sysinit current status

It also includes the fix for Bug 636792.

Comment 2 Tomas Hoger 2010-09-29 10:13:43 UTC
Created attachment 450436 [details]
Updated patch

Updated patch with few more changes.

(In reply to comment #1)
> Created attachment 450266 [details]
> Adds command line option to report on nss-sysinit current status

For the sake of consistency, I'd probably avoid using two different ways to do the same check:
  if [ `grep '^library=libnsssysinit' ${p11conf}` ];
  grep -q '^library=libnsssysinit' ${p11conf}

I've actually moved this test to separate function to avoid duplication.

I've also extended status output to be a little more verbose.  Feel free to change if you find it better to say "NSS sysinit is on/off" instead of "NSS sysinit is enabled/disabled".

> It also includes the fix for Bug 636792.

Moved umask call a bit.

Comment 3 Elio Maldonado Batiz 2010-09-29 16:16:13 UTC
Thank you, this is much better. I prefer using enabled/disabled in the display but need to keep the options on|off for compatibility sake as we don't want to break scripts that may already be expecting on or off. 

By the way, since we are writing man pages for the nss security tools I should add a little man page for this script as well.

Comment 4 Fedora Update System 2010-09-30 00:25:58 UTC
nss-3.12.7-8.fc14,nss-softokn-3.12.7-7.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/nss-3.12.7-8.fc14,nss-softokn-3.12.7-7.fc14

Comment 5 Fedora Update System 2010-09-30 00:29:58 UTC
nss-3.12.7-8.fc13,nss-softokn-3.12.7-7.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/nss-3.12.7-8.fc13,nss-softokn-3.12.7-7.fc13

Comment 6 Fedora Update System 2010-09-30 05:31:44 UTC
nss-3.12.7-8.fc14, nss-softokn-3.12.7-7.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nss nss-softokn'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/nss-3.12.7-8.fc14,nss-softokn-3.12.7-7.fc14

Comment 7 Fedora Update System 2010-10-07 18:19:25 UTC
nss-3.12.8-2.fc14,nss-softokn-3.12.8-1.fc14,nss-util-3.12.8-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/nss-3.12.8-2.fc14,nss-softokn-3.12.8-1.fc14,nss-util-3.12.8-1.fc14

Comment 8 Fedora Update System 2010-10-08 00:07:46 UTC
nss-util-3.12.8-1.fc12,nss-softokn-3.12.8-1.fc12,nss-3.12.8-2.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/nss-util-3.12.8-1.fc12,nss-softokn-3.12.8-1.fc12,nss-3.12.8-2.fc12

Comment 9 Fedora Update System 2010-10-27 22:30:09 UTC
nss-3.12.8-2.fc13, nss-softokn-3.12.8-1.fc13, nss-util-3.12.8-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-10-28 05:47:48 UTC
nss-3.12.8-2.fc14, nss-softokn-3.12.8-1.fc14, nss-util-3.12.8-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-11-05 04:45:20 UTC
nss-util-3.12.8-1.fc12, nss-softokn-3.12.8-1.fc12, nss-3.12.8-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.